import type { _AVDateRangeMetadataGroup } from "./AVDateRangeMetadataGroup.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDate } from "../Foundation/NSDate.js";
export declare class _AVMutableDateRangeMetadataGroup extends _AVDateRangeMetadataGroup {
    static alloc(): _AVMutableDateRangeMetadataGroup;
    static new(): _AVMutableDateRangeMetadataGroup;
    init(): _AVMutableDateRangeMetadataGroup;
    /** indicates the start date of the metadata */
    startDate(): _NSDate;
    setStartDate$(value: _NSDate): void;
    /** indicates the end date of the metadata */
    endDate(): _NSDate | null;
    setEndDate$(value: _NSDate | null): void;
    /** an array of AVMetadataItems */
    items(): _NSArray;
    setItems$(value: _NSArray): void;
}
